perl-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Randy Kobes <ra...@theoryx5.uwinnipeg.ca>
Subject Re: Does mp2 support httpd-2.2.0?
Date Thu, 27 Apr 2006 04:50:17 GMT
On Mon, 20 Feb 2006, Steve Hay wrote:

> I've been trying to build mod_perl-2.0.2 with httpd-2.2.0 on Win32 and found 
> that it doesn't work very smoothly.
> First of all, "perl Configure.pl --with-apache2=C:/apache2" had trouble 
> finding the Apache.exe because it is now called httpd.exe; I later found that 
> there is a --with-apache-prog argument to help out there.
> Then "perl Makefile.PL MP_AP_PREFIX=C:/apache2" threw a wobbly complaining 
> that it couldn't find libapr.lib and libaprutil.lib.  These are now called 
> libapr-1.lib and libaprutil-1.lib; copying them (and their DLL's) to the 
> names expected by Makefile.PL sorted that out, but it isn't ideal.
> After that it all built OK, but "nmake test" complains:
> mod_perl 2 was built against Apache sources, we don't know where httpd/apxs 
> executables are, therefore skipping the test suite execution at 
> C:\Temp\mod_perl-2.0.2\Apache-Test\lib/Apache/TestConfig.pm line 380.
> I'm not sure how to get around that one.
> Is it supposed to work with httpd-2.2.0 yet or not?
> The README only mentions 2.0.55, but then again, it also describes itself as 
> "2.0-tobe", so this is possibly out-of-date.  (The STATUS file is also 
> out-of-date.)

Sorry for the "slight" delay in this - I've had trouble
compiling Apache/2.2 until the most recent trial release.
I've committed some changes to the svn sources of mp2
that allows it to build and test against Apache/2.2 - please
let me know if this fixes your problems above. I get some
test failures that I'm looking into.

-- 
best regards,
Randy

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@perl.apache.org
For additional commands, e-mail: dev-help@perl.apache.org


Mime
View raw message